﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;

namespace OfficeBusiness.Model
{
    public interface IBusinessModel
    {
        IList<ViewModel.Department> GetDepartmentsDetails();

        IList<ViewModel.Employee> GetEmployeesDetails();

        IList<ViewModel.Project> GetProjectsDetails();

        IList<ViewModel.Work> GetWorksDetails();

        EventHandler DepartmentSelectedEvent { get; set; }

        EventHandler EmployeeSelectedEvent { get; set; }

        EventHandler ProjectsSelectedEvent { get; set; }

        EventHandler WorksSelectedEvent { get; set; }

        Visibility DepartmentVisibility { get; set; }

        Visibility EmployeesVisibility { get; set; }

        bool InsetRows<T>(IList<T> rows);

        bool DeleteSelectedRow<T>(T row);

        bool UpdateRows<T>(IList<T> rows);
    }
}
